Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1418374 - [RFE] Admin access to Automate sandbox
Summary: [RFE] Admin access to Automate sandbox
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: cfme-future
Assignee: Greg McCullough
QA Contact: Dmitry Misharov
URL:
Whiteboard: automate
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 16:42 UTC by Jeff Warnica
Modified: 2019-12-18 14:27 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-18 14:27:16 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)

Description Jeff Warnica 2017-02-01 16:42:36 UTC
Per summary, provide a mechanism for administrators to inject code into the Automate sandbox.

This could be as simple as two text boxes, globally, for additional code to prepend and append code to ./lib/miq_automation_engine/engine/drb_remote_invoker.rb

Use cases:

log()
dump_root()
dump_attr()

Bare code may be a bad idea (and thus no reason for appending code, either), though I'm not sure if this could be validated.

Comment 3 mkanoor 2017-03-13 02:36:05 UTC
Jeff,
Please offer feedback on the PR, it accommodates your request

Comment 4 Jeff Warnica 2017-03-13 13:18:50 UTC
Kinda curious how this will log e.g. line numbers from the combined sandbox script.

Core functionality seems what I want.

Comment 6 CFME Bot 2017-05-22 16:49:11 UTC
New commit detected on ManageIQ/manageiq-automation_engine/master:
https://github.com/ManageIQ/manageiq-automation_engine/commit/28d043ce9cf1dd82ee9d92658433f8a2b42b8c16

commit 28d043ce9cf1dd82ee9d92658433f8a2b42b8c16
Author:     mkanoor <mkanoor@redhat.com>
AuthorDate: Fri May 5 12:12:04 2017 -0400
Commit:     mkanoor <mkanoor@redhat.com>
CommitDate: Fri May 5 12:12:04 2017 -0400

    Added support for embedded methods
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1418374

 .../engine/miq_ae_engine/drb_remote_invoker.rb     | 27 ++++--
 .../engine/miq_ae_engine/miq_ae_method.rb          | 40 ++++++++-
 spec/engine/miq_ae_method_spec.rb                  | 97 +++++++++++++++++++++-
 3 files changed, 151 insertions(+), 13 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.